cURL
curl --request GET \ --url https://test.digitaltermination.com/api/transactions/{zeepay_id} \ --header 'Authorization: Bearer <token>'
{ "code": 200, "data": { "zeepay_id": 60456, "extr_id": "cbeay-1234-5678-90ab-cdef12345678", "sender_first_name": "Zeepay", "sender_last_name": "Ghana", "sender_country": "GHA", "recipient_first_name": "GODWIN", "recipient_last_name": "HOTTOR", "recipient_country": "GHA", "service_type": "Wallet", "mobile_account": 233245519485, "partner": "ZEEPAY GHANA LIMITED", "fees": null, "status": "Success", "status_code": 200, "status_message": "Transaction Processed Successfully", "amount_sent": 0.1, "amount_payout": 0.1, "created_at": { "date": "2021-09-01", "time": "14:09:12", "timezone_type": 3 }, "last_updated": "2025-01-24 14:09:12", "amount_charged": 0 } }
Retrieve the status of a transaction using the Zeepay ID.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
The Zeepay ID of the transaction.
123456
The status of the transaction.
Static response code indicating the status
200
Show child attributes